unburden-home-dir (0.4.2) unstable; urgency=medium

  * Support %i in the FILELAYOUT configuration variable to insert the
    current numerical user id to allow one using /run/user/<numerical_id>/ as
    TARGETDIR.
  * Make documentation of the configuration file easier to grok.
  * Update "reburden" script link to point to the Wayback Machine. *sigh*
  * Fix a superfluous whitespace in output (and in the according tests).
  * Fix wrong file name order in output when creating symlinks after
    replacing files or directories.
  * Fix mkdocs deprecation warning by replacing "pages" by "nav". (Closes:
    #1009432)
  * Rephrase a comment in Makefile to be more precise.
  * Drop no more working Travis CI in favour of GitHub Actions.
    + Switch to using "cover -report codecovbash" instead of "… codecov".
  * Fix issues under test environments which have set $XDG_CONFIG_HOME.

 -- Axel Beckert <abe@debian.org>  Tue, 26 Apr 2022 23:47:06 +0200

unburden-home-dir (0.4.1.3) unstable; urgency=medium

  * Minor documentation updates. (Updated links to 3rd parties, removed
    no more working GitPitch stuff, etc.)
  * Update tests unnecessarily broken by usrmerge. (Closes: #997507)
  * Travis CI: stop testing again Perl "dev". It no more seems to exist.
  * Declare compliance with Debian Policy 4.6.0. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sun, 24 Oct 2021 04:42:58 +0200

unburden-home-dir (0.4.1.2) unstable; urgency=medium

  * Bump debhelper compatibility level to 13.
    + Build-depend on "debhelper-compat (= 13)" to replace debian/compat.
    + Drop --fail-missing from dh_install, it's now dh_missing's default.
  * Extend Makefile to also remove cloudflare crap and generally any
    occurrences of unneeded <script> tags from mkdocs-generated
    documentation. Documentation just doesn't need this! Thanks Lintian!
    + Uses pcregrep to catch multiline <script> tags. Add it as build-dep.
    + Drop recommends and symlink on mustache.js.
    + Also remove generated search form, search.html and search subfolder.
  * Drop debian/unburden-home-dir-doc.lintian-overrides, no more needed.
  * Drom ancient postinst/postrm/preinst files. They were handling a
    configuration file name change in 2012 and nowadays even cause lintian
    warnings.
  * Drop adequate as-installed test as adequate is no more maintained.
    + Also fixes lintian warning obsolete-runtime-tests-restriction.
  * Add lintian override for uses-deprecated-adttmp. This is a false
    positive, it detects the code to make it backwards compatible with
    autopkgtest < v4.
  * Remove mkdocs-generated, but completely useless sitemap.xml* files as
    they solely contain nonsense entries. Also fixes lintian warning
    compressed-duplicate.
  * Declare compliance with Debian Policy 4.5.1. (No changes needed.)

 -- Axel Beckert <abe@debian.org>  Sat, 02 Jan 2021 07:45:27 +0100

unburden-home-dir (0.4.1.1) unstable; urgency=medium

  [ Jakub Wilk ]
  * Fix a bunch of typos.

  [ Axel Beckert ]
  * Declare compliance with Debian Policy 4.1.5. (No other changes.)
  * Update build-dependency from "ruby-ronn" to "ronn | ruby-ronn (<<
    0.7.3-5.1~)" due to short-term package split-up. (Closes: #903073)
  * Build-Conflict with libperl-critic-freenode-perl for now.
  * Replace /usr/share/doc/unburden-home-dir/html/search/mustache.min.js
    with symlink in unburden-home-dir-doc and recommend libjs-mustache.
  * Switch to debhelper compatibility level 11.
    + Update versioned debhelper build-dependency accordingly.

 -- Axel Beckert <abe@debian.org>  Thu, 05 Jul 2018 23:16:43 +0200

unburden-home-dir (0.4.1) unstable; urgency=low

  Default/Example Configuration:

  * Switch Chrome/Chromium "Thumbnails" type from file to directory.
  * Don't merge Chromium Thumbnails into Chrome Thumbnails.

  Documentation:

  * Fulfils some more Core Infrastructure Documentation Best Practices.
    + Document how to report security bugs by (PGP-encrypted) e-mail.
    + Document PGP key(s) used in the project and how to retrieve it.
  * Add repology package list badges to README.md + docs/installation.md.

  Test Suite (adds new test/build dependency Perl::Critic):

  * Test suite: Run checkbashism also on share/common.sh and
    Xsession.d/25unburden-home-dir-xdg.
  * Test suite: Provide checkbashism as its own Make target.
  * Use Perl::Critic as part of the test suite.
    + Add libtest-perl-critic-perl as build-dependency.
    + Add .perlcriticrc* files to configure Perl::Critic.

  Code Refactoring (adds new dependencies IPC::Run and Try::Tiny):

  * Make Test::UBH perlcritic-severity-4-clean.
  * Make unburden-home-dir perlcritic-severity-4-clean.
    + Solved by minor refactorings.
  * Make unburden-home-dir perlcritic-severity-3-clean.
    + Use IPC::Run's run() instead of backticks for calling lsof.
      - Add according dependencies on libipc-run-perl.
    + Use /x flag on all regular expressions and sprinkle blanks over
      them.
    + Use HEREDOC instead of multiline quoted strings.
    + Don't use capture variables outside a regexp without a test.
    + Use Try::Tiny instead of "eval { ...; }; if ($@) { ...; }".
      - Add according dependencies on libtry-tiny-perl.
    + Raise Perl::Critic's max_mccabe values slightly by 5.
    + Ignore ErrorHandling::RequireCarping (no module) and
      ControlStructures::ProhibitCascadingIfElse (compact enough).

  Debian Packaging:

  * Set "Rules-Requires-Root: no".
  * Set "Multi-Arch: foreign" for unburden-home-dir-doc as suggested by
    the Multi-Arch hinter.

 -- Axel Beckert <abe@debian.org>  Mon, 06 Nov 2017 00:30:38 +0100

unburden-home-dir (0.4.0.2) unstable; urgency=medium

  * Support autopkgtest v4.
  * t/version.t: Re-enable strictures; fix reason why they were disabled.
  * debian/copyright: Update copyright years and my e-mail address.
  * debian/copyright: Remove no more updated Git repositories.
  * Mention profile-sync-daemon as related tool.
  * Update test suite helper library to cope with changed output of "mv
    -v" since coreutils 8.28 or so. (Closes: #878336)
  * Declare compliance with Debian Policy 4.1.1.
    + Change Priority to "optional".
  * Switch to debhelper compatibility level 10.
    + Update versioned debhelper build-dependency accordingly.
    + Drop explicit --parallel from debian/rules.
  * Update debian/gbp.conf to sport current section names and GPG keys.

 -- Axel Beckert <abe@debian.org>  Fri, 13 Oct 2017 03:25:02 +0200

unburden-home-dir (0.4.0.1) unstable; urgency=medium

  * Fix typos in man page.
  * Test suite: Use File::Slurper with "eval { write_text(@_); 1 }"
    instead of "-e".
  * Split off an unburden-home-dir-doc package as recommended by the
    Debian Policy since version 3.9.7.
    + Make fonts-font-awesome a Recommends of unburden-home-dir-doc
      instead of a Suggests of unburden-home-dir.
    + Rename all binary-package specific debian/* files to
      debian/unburden-home-dir.*.
  * Fix installation of NEWS.Debian
  * Don't install mkdocs-generated __init__.py.

 -- Axel Beckert <abe@debian.org>  Wed, 25 May 2016 01:56:59 +0200

unburden-home-dir (0.4) unstable; urgency=low

  New Features:

  * Set $XDG_CACHE_HOME to a subdirectory of unburden-home-dir's target.
    + Use sane tmpfs-based defaults for $XDG_CACHE_HOME in case
      unburden-home-dir is unconfigured.
  * Expand environment variables inside config files and list files.
    + Add (build-)dependency on libstring-expand-perl.
  * Don't set TARGETDIR in configuration file by default but compute a
    sane default value inside unburden-home-dir (Closes: #780387):
      - Use $TARGETDIR if set in the configuration file.
      - Else use $XDG_RUNTIME_DIR/$UID if it exists.
      - Else use /run/user/$UID if it exists.
      - Else use $TMPDIR if it exists.
      - Else use /tmp/.
    + Run test suite multiple times with different environments for
      coverage computation.
  * Also explicitly look for lsof in /usr/sbin to support odd Linux
    distributions which ship lsof outside a user's $PATH. Fixes GH#8.

  Bug fixes:

  * Always pass parameters to File::Rsync as array, not as hash
    reference. This is File::Rsync's preferred interface now and is even
    fully backwards compatible. Fixes test suite failures with File::Rsync
    0.46 (whose backward compatibility mode is buggy).
  * Support newer versions of lsof which additionally always output the
    used file descriptors. (Suppresses the "unexpected line" warnings.)

  Test suite enhancements:

  * Test::UBH always uses an environment variable for a part of the
    configuration file and hence tests the new feature mentioned above.
  * Skip tests which involve the non-readabliity of files if run as
    root. (Closes: #789832)
  * Catch some more cases of minor differences in output.
  * Fix race-condition in t/expand_environment_variables.t and
    t/moving-to-existing-subdir.t by enforcing older mtime.
  * Skip t/lsof-force.t if run on NFS. (Fixes test suite aspect of
    #760890.)
  * Get rid of File::Slurp in test suite (now uses File::Slurper instead).
    + Add libfile-slurper-perl to build-dependencies.
    + Drop libfile-slurp-perl from build-dependencies.

  Packaging, build system, documentation and file layout changes:

  * Change section from x11 to utils. It's far more than just an Xsession
    hook nowadays.
  * Declare compliance with Debian Policy 3.9.8 (no other changes needed)
  * Update copyright years in debian/copyright.
  * Rename debian/unburden-home-dir.* to debian/* for consistency.
  * Extract common logic for Xsession.d files into a separate file.
  * Split up documentation into several Markdown files in a separate
    directory. Support mkdocs to generate HTML documents from them.
    + Add build-dependency on mkdocs and moreutils (for sponge).
    + No more install README.md as documentation.
    + Drop override for dh_installdocs.
    + Register them with doc-base.
  * Generate man pages from Markdown, too, using ronn.
    + Add ruby-ronn as build-dependency.
  * Use "gzip -n" to make sure the build stays reproducible.
  * Support build profiles nocheck and nodoc.
    + Bump debhelper build-dependency to ≥ 9.20141010
    + Add build-dependency on dpkg-dev ≥ 1.17.14.
  * Add symlink from LICENSE to COPYING to please flint.
  * Add CONTRIBUTING.md to guide contributors via GitHub.
  * Many documentation updates, including these:
    + Take into account that Gitorious has been closed.
    + ReadTheDocs changed the domain for hosted projects from .org to .io
    + Updated links to BleachBit, Mundus and AutoTrash.
    + Changed links from http:// to https:// where possible.
    + Mention rmlint.
  * Mention SD and CF cards in long package description and documentation.
  * Switch Vcs-Git header from git:// to https://.
  * Add debian/debhelper-build-stamp to .gitignore.
  * Rephrase EeePC mentioning in package description and documentation.
  * Remove (mkdocs-generated?) __pycache__ directory from
    /usr/share/doc/unburden-home-dir/html/ at build time.

 -- Axel Beckert <abe@debian.org>  Fri, 13 May 2016 03:03:13 +0200

unburden-home-dir (0.3.3) unstable; urgency=medium

  * Enhancements:
    + Warnings in case of unreadable list files
  * Bugfixes:
    + Fix broken behaviour upon trailing blank in list file.
    + Fix broken -f parameter parsing.
    + Remove unreachable subroutine unknown_element and some other
      unreachable code fragments. Yay for coverage tests!
  * Test suite enhancements:
    + Make Coveralls.io testing the right thing.
    + Don't do coverage on tests. Ignore handling of external errors.
    + Fix Moo-based Test::UBH for older versions of Moo.
    + Use File::Temp and String::Random instead of manually setting test
      directories. Add libstring-random-perl as build-dependency.
    + Enable DEP8 installed-time testing with autopkgtest.
    + Ignore lsof warnings caused by systemd.
  * New tests covering…
    + lsof checks
    + a lots of internal error handling
    + emptying files and directories
    + option -f
    + creating non-existent files
    + handling items that are neither file nor directory nor symlink
    + undo in combination with symlink which points to the wrong file
  * Updated build dependencies: Require at least version 1.30 of
    libtest-file-perl for dir_exists_ok.
  * Switch debian/copyright to machine-readable format and update years.
  * Enable parallel building (the test suite supports it)

 -- Axel Beckert <abe@debian.org>  Sun, 14 Sep 2014 18:15:08 +0200

unburden-home-dir (0.3.2.4) unstable; urgency=medium

  * Fix test suite so it runs with perl elsewhere than /usr/bin/perl
  * Mention quota as usage reason in long package description
  * Add tests to check --version, -h and --help options.
  * Make -h write to STDOUT instead of STDERR as --help does.
  * Use /dev/null as additional empty config file and list to cover -c and
    -l options.
  * Workaround Config::File bug RT#98542, it behaves unexpectedly if given
    an empty configuration file.
  * Switch test suite from using Mouse to using Moo. Update
    build-dependencies accordingly.
  * Switch from Modern::Perl to strict + warnings + 5.010.
    + Drop (build-) dependency on libmodern-perl-perl.
  * Fix some issues found by Perl::Critic:
    + Add missing strictures.
    + Replace bareword file handles with variables.
    + Drop the sole (non-relevant) occurrence of subroutine prototypes.
  * Don't use "has" for calculated attributes in Test::UBH.
  * Remove all shebang line parameters from t/*.t files.
  * Use Travis CI

 -- Axel Beckert <abe@debian.org>  Wed, 03 Sep 2014 23:41:27 +0200

unburden-home-dir (0.3.2.3) unstable; urgency=low

  * Bump Standards-Version to 3.9.5 (no further changes)
  * Use "lsof +D" instead of "find | buffer | xargs lsof".
    + Drop dependencies on "buffer".
  * Re-add corekeeper to Suggests as it's back in Debian.
  * Downgrade dependency on x11-common to Recommends, unburden-home-dir
    works outside the Xsession infrastructure for quite a while now.

 -- Axel Beckert <abe@debian.org>  Thu, 08 May 2014 01:49:37 +0200

unburden-home-dir (0.3.2.2) unstable; urgency=low

  * No more use "when" nor "my $_". Both features are marked experimental
    in Perl 5.18 and hence cause warnings which again cause test-suite
    failures. (Closes: #720762)
  * Bump debhelper compatibility to 9
    + Update versioned debhelper build-dependency accordingly

 -- Axel Beckert <abe@debian.org>  Sun, 25 Aug 2013 14:19:57 +0200

unburden-home-dir (0.3.2.1) unstable; urgency=low

  * man-page: Clarify why du and friends are helpful when configuring
    unburden-home-dir (Closes: #711820)
  * README/man page: Update information about corekeeper
  * Add ~/.devscripts_cache and qupzilla cache (Thanks Daniel Koch!) to
    unburden-home-dir.list

 -- Axel Beckert <abe@debian.org>  Wed, 10 Jul 2013 20:42:08 +0200

unburden-home-dir (0.3.2) unstable; urgency=low

  * Use "buffer" to prevent "find" still running when "lsof" is started by
    "xargs". Add dependency and build-dependency (for test-suite) on "buffer".
  * Fix trailing slashes on revert (GitHub issue #5, thanks Johan van den
    Dorpe!)
  * debian/control: Apply wrap-and-sort
  * Add support for using XDG config directory for configuration
    files. (Closes: #692807)
    + Add dependency and build-dependency on libfile-basedir-perl.
  * Refactor test suite
    + Uses more external modules, Added Test::Differences, Test::Files and
      Mouse as build dependencies.
  * Fix test suite failures with newer coreutils versions in
    t/moving-to-existing-subdir.t.
  * README:
    + Create new section "see also" about similar solutions and move
      hint about eatmydata there.
    + Add lots of information
    + Merge THANKS into README
  * Sync man page with --help output and recognized options.
  * Add sxiv, Google Earth and CCache to example unburden-home-dir.list
  * New (optional) make target "cover" to make easy use of Devel::Cover.
  * debian/rules: Remove notice that the initial example file has no
    copyright restrictions, i.e. that the notice is allowed to be removed.
  * Bump Standards-Version to 3.9.4 (no changes)
  * Bump copyright years in various places
  * Switch Homepage and Vcs-* headers to Github. Mention all Git repos in
    debian/copyright.
  * Add debian/gbp.conf with "sign-tags = True" (Closes: #695980)

 -- Axel Beckert <abe@debian.org>  Thu, 06 Jun 2013 20:59:07 +0200

unburden-home-dir (0.3.1.2) unstable; urgency=low

  * Option -F doesn't have a parameter, so don't let it consume one (which
    could be another option which then will be ignored, e.g. the dry-run
    option -n; Closes: #691619)
  * Fix comment about usage in etc/unburden-home-dir — it's no more a POSIX
    shell fragment, but parsed by Config::File. (Closes: #690266)
  * Minor bugfix for example config files (Closes: #690268)
  * Update $VERSION in bin/unburden-home-dir which had been forgotten
    since 0.3. Add test so that this doesn't happen again. (Closes: #690265)
  * Add missing options to --help message and reorder it slightly.
  * More documentation updates and fixes.

 -- Axel Beckert <abe@debian.org>  Sat, 27 Oct 2012 17:25:44 +0200

unburden-home-dir (0.3.1.1) unstable; urgency=low

  * Better and more documentation

 -- Axel Beckert <abe@debian.org>  Wed, 10 Oct 2012 16:14:29 +0200

unburden-home-dir (0.3.1) unstable; urgency=low

  * Make test suite check if lsof is available or not and expect different
    output in both cases. (Closes: #678780)
  * Use which('lsof') from File::Which instead of `which lsof`
    + Add dependency and build-dependency on libfile-which-perl
  * Use a copy of README.md named just README to be installed in the
    Debian binary package to avoid any associations with Linux' software
    RAID. (Closes: #678630)
  * Minor refactoring of t/undo.t for not confusing syntax highlighting

 -- Axel Beckert <abe@debian.org>  Mon, 25 Jun 2012 15:34:34 +0200

unburden-home-dir (0.3) unstable; urgency=low

  * If lsof is available, check if files to (re)move are still in use
    before (re)moving them.
    - Recommend lsof
  * Some Refactoring:
    - use Modern::Perl; add libmodern-perl-perl as dependencies.
    - use say instead of print + "perl -l". Fixes issues with double
      newlines printed by modules..
    - use for and when instead of tons of if blocks
    - replace last use of @_[...]
    - add missing trailing semicolons and explicit returns
    - remove all subroutine calls with "&" sigil
    - remove code duplication
    - use lc($var) eq 'c' instead of two string comparisons
  * Remove no more necessary eval in regexp replacement
  * Add missing close();
  * More documentation in README:
    - Add some paragraphs about reversing unburden-home-dir's effect
      (Closes: #673909)
    - Add sections How To and Common Issues + Troubleshooting
    - Reorder sections and add subsections to get a nice outline
  * Renamed README to README.md so it will be parsed as Markdown on GitHub
  * Added THANKS file
  * Add ~/.aptitude/cache to unburden-home-dir.list. (cf. #671780)
  * Fix typo in README.Debian (Closes: #673912; Thanks Touko Korpela!)
  * Suggest fslint.

 -- Axel Beckert <abe@debian.org>  Tue, 12 Jun 2012 16:38:06 +0200

unburden-home-dir (0.2) unstable; urgency=low

  [ Klaus Umbach ]
  * Fix FTBFS: Add missing build-dependency on libfile-rsync-perl
  * Fix FTBFS: Ignore locales in moving-to-existing-subdir.t

  [ Axel Beckert ]
  * Unconditionally move files (no more uses "mv -i", likely a debugging
    leftover)
  * Handle symlinks to and unburden-home-dir.list entries for directories
    identical independent of trailing slashes. (Thanks Johan van den
    Dorpe! cf. GitHub Pull Request #2)
  * Also ignore blank lines in unburden-home-dir.list.
  * Add the caches of the following applications to the example
    unburden-home-dir.list: Galeon, Epiphany, xxxterm, Battle for Wesnoth,
    Gaia, Adobe Acrobat, Java, Forg, Buzzbird, Shotwell
  * Update list of caches in the example unburden-home-dir.list for the
    following applications: Opera, Mozilla based browsers
  * Comment the example unburden-home-dir.list, group entries by category
  * Add a test that verifies that lists with comments and blank lines can
    be parsed
  * Suggest a find command in the README to find most caches in a home
    directory

 -- Axel Beckert <abe@debian.org>  Fri, 18 May 2012 23:23:42 +0200

unburden-home-dir (0.1) unstable; urgency=low

  * First release thought for production use. Upload to unstable.
  * Uses consistently the basename "unburden-home-dir" instead of
    "unburden_home_dir".
    + Add Pre-Depends on dpkg >= 1.15.7.2 for usage of
      dpkg-maintscript-helper to rename conffiles.
  * Let Xsession.d snippet also source ~/.unburden-home-dir to allow per
    User execution
    + Call unburden-home-dir without hardcoded path
  * Refactoring:
    + Use speaking variable names in fix_dangling_links() and do_it()
    + Reindent and reformat some overlong lines in bin/unburden-home-dir
    + Add semicolons on all return statements before block ends
    + Define list file suffix just once
  * Add further tests to the test suite
  * Improve README and man page
  * Add tmpreaper, eatmydata, agedu, bleachbit and some more comfortable
    "du"-like tools to "Suggests".
  * Remove corekeeper from Suggests but keep it in the man page's SEE ALSO
    section.
  * Update man page
    + Split EXAMPLES and SEE ALSO
    + Update SEE ALSO
    + Typeset em dash properly
  * Add a further use case to the long description and README. (Thanks
    Pietro Abate!) Rewrite parts of the use cases section in both files.
  * Bump Standards-Version to 3.9.3 (no changes)
  * Make Xsession.d snippet POSIX-compatible (Thanks Carsten Hey!)
  * Fix lintian warning helper-templates-in-copyright
  * Update copyright years in debian/copyright
  * Fix indentation in Xsession.d snippet and debian/copyright

 -- Axel Beckert <abe@debian.org>  Sat, 05 May 2012 00:29:11 +0200

unburden-home-dir (0.0.20110203) experimental; urgency=low

  * Fix bug when moving stuff and the target directory already exists. Use
    File::Rsync for that and add proper dependency to libfile-rsync-perl
    for that.
  * Fix bug where only the parent of an empty target directory has been
    created.
  * Reduce probability of false positives when looking for issues in the
    logs.
  * Add two more common cases to the example configuration:
    .conkeror[...]/Cache.Trash and .mozilla/default/[...]/Cache

 -- Axel Beckert <abe@debian.org>  Thu, 03 Feb 2011 20:12:56 +0100

unburden-home-dir (0.0.20110201) experimental; urgency=low

  * Rewritten in Perl.
  * Includes a test suite
  * Suggest corekeeper which can help for similar issues with core dumps.
  * Suggest autotrash which can help for similar issues with the desktop
    trash can.
  * First upload to Debian (Closes: #602045)

 -- Axel Beckert <abe@debian.org>  Wed, 10 Nov 2010 00:14:51 +0100

unburden-home-dir (0.0.20101103) unstable; urgency=low

  * Initial release

 -- Axel Beckert <abe@debian.org>  Sun, 31 Oct 2010 19:48:11 +0100
